/*FONTS*/
@font-face {
    font-family: 'AuthenticSans-light';
    src: url('media/fonts/no-design-foundry-rasterizer-90.ttf') format('truetype');
    font-weight: 400;
    font-style: light;
}

@font-face {
    font-family: 'AuthenticSans-medium';
    src: url('media/fonts/no-design-foundry-rasterizer-130.ttf') format('truetype');
    font-weight: 600;
    font-style: medium;
}

/*STYLES*/
* {
    margin: 0 !important;
    padding: 0 !important;
    font-family: AuthenticSans-light;
    font-size: 24px !important;
}

#top-left-text,
#close-impressum {
    transform: rotate(180deg);
    cursor: pointer;
}

#top-right-text {
    color: black;
}

#bottom-right-text {
    color: black;
}

#impressum-container {
    height: 100vh;
    overflow-y: auto;
}

#logo {
    width: 30vw;
}

.svh-100 {
    height: 100svh;
}

h1 {
    font-family: AuthenticSans-medium;
}

button {
    all: unset;
    text-decoration: underline;
}

/*MAILCHIMP*/
#mc_embed_signup {
    background: #fff;
    clear: left;
    max-width: 100vw !important;
}

.mc-field-group {
    all: unset;
    min-height: unset !important;
    background-color: black;
    color: white;
    height: 34px;
    position: unset !important;
}

#mc_embed_signup .button {
    background-color: black !important;
    text-align: center;
}

#mc_embed_signup input {
    border: 1px solid black !important;
    background-color: black !important;
    color: white !important;
    -webkit-border-radius: 0px !important;
    -moz-border-radius: 0px !important;
    border-radius: 0px !important;
    height: 34px !important;
}

#mc_embed_signup #mc-embedded-subscribe-form div.mce_inline_error {
    display: block !important;
    margin: 2px 0 1em 0;
    padding: 3px;
    background-color: transparent !important;
    font-size: normal !important;
    font-weight: normal;
    z-index: 1;
    color: #e85c41;
    column-count: auto;
    height: 34px;
    position: absolute;
    top: -34px;
    left: 0;
}

#close-button {
    position: absolute;
    top: -34px; 
    right: 0;
    color: white;
    background-color: black;
    text-decoration: none;
    padding: 0px 6px !important;
}

#mc_embed_signup .foot {
    display: grid;
    grid-template-columns: auto !important;
    width: 96%;
    align-items: center;
}

/*MEDIA QUERIES*/

@media (min-width: 400px) {
    .meme-break {
        display: none;
    }

    #logo {
        width: 15vw;
    }

    .d-none-md {
        display: none !important;
    }
}

@media (max-width: 400px) {
    .d-none-sm {
        display: none !important;
    }
}